<?php
include('db_con.php');
include('db_coni.php');
if (isset($_SESSION['user_id'])) {
        $user_type = $_SESSION['user_type'];
        $user_id = $_SESSION['user_id'];
        $user_name = $_SESSION['user_name'];
        $branch_id = $_SESSION['branch_id'];
        $branch_name = $_SESSION['branch_name'];
        $store_id = $_SESSION['store_id'];
        $store_name = $_SESSION['store_name'];
}else{
    header('Location: login');
    die();
}
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'gl_parent_accounts'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $gl_parent_accounts = $statement->fetchColumn();
            if($gl_parent_accounts=='OFF'){header('Location: dashboard');}
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'gl_parent_accounts_new'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $gl_parent_accounts_new = $statement->fetchColumn();
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'gl_parent_accounts_edit'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $gl_parent_accounts_edit = $statement->fetchColumn();
          
             $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'gl_parent_accounts_delete'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $gl_parent_accounts_delete = $statement->fetchColumn();
$dated = date('Y-m-d');
?>
<!DOCTYPE html>
<html>
<head>
	<title><?php echo basename(__FILE__, '.php'); ?></title>
	<?php include('include/head.php'); ?>
	
</head>
<body>
	<?php include('include/header.php'); ?>
	<?php include('include/sidebar.php'); ?>
<div class="main-container">
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">GL</a></li>
              <li class="breadcrumb-item active">Parent Account </li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
     <span id="alert_action"></span>
    <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
            <div class="row">
                          <div class="col-lg-10 col-md-10 col-sm-8 col-xs-6">
                              <h3 class="panel-title">Parent Account</h3>
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-6" align="right">
                               <?php if($gl_parent_accounts_new=='ON')
                            {
                               echo ' <button type="button" name="add" id="add_button" data-toggle="modal" data-target="#dataModal" class="btn btn-primary "><i class="fa fa-plus"></i> Add New</button>';
                            }
                            ?>
                          </div>
                        </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              
                        <table width="100%" id="_dataTable" class="table table-bordered table-striped table-hover">
                          <thead>
									<tr>
										<th width="7%">No.</th>
										
										<th width="30%">Account Name</th>
										<th width="15%">Account Type</th>
										
										<th width="7%">Status</th>
										<?php if($gl_parent_accounts_edit=='ON')
										{
											echo '<th width="7%">Edit</th>';
										}
										
										if($gl_parent_accounts_delete=='ON')
										{
											echo '<th width="7%">Delete</th>';
										}?>
									</tr>
								</thead>
                   			</table>
                   	 
			            </div>
			        </div>
			    </div>
			</div>
			       
        
        
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
 
  <!-- /.content-wrapper -->
 <?php include('include/footer.php'); ?>
		</div>
		</div>
	<?php include('include/script.php'); ?>
	
</body>
</html>
        <div id="dataModal" class="modal fade">
        	<div class="modal-dialog">
        		<form method="post" id="data_form">
        			<div class="modal-content">
        			<div class="modal-header">
        				
						<h4 class="modal-title"><i class="fa fa-plus"></i> Add Parent Account</h4>
        			</div>
        			<div class="modal-body">
        				
        				<div class="form-group">
							<label>Enter Account Name</label>
							<input type="text" name="acc_name" id="acc_name" class="form-control" required />
						</div>
						<div class="form-group">
							<label>Account Type</label>
							<select name="acc_type" id="acc_type" class="form-control" required />
							<option value="Asset">Asset</option>							
							<option value="Expense">Expense</option>
							<option value="Liability">Liability</option>
							<option value="Revenue">Revenue</option>
							<option value="Equity">Equity</option>
							
							</select>
						</div>
						
						<div class="form-group">
							<label>Status</label>
							<select name="status" id="status" class="form-control" />
							<option value="Active">Active</option>
							<option value="Inactive">Inactive</option>
                        
                         
                        </select>
						</div>
        			</div>
        			<div class="modal-footer">
        				<input type="hidden" name="acc_no" id="acc_no" />
        				<input type="hidden" name="btn_action" id="btn_action" />
        				
        				<input type="submit" name="action" id="action" class="form-control btn btn-info" value="Add" />
        				<button type="button" class="form-control btn btn-default" data-dismiss="modal">Close</button>
        			</div>
        		</div>
        		</form>
        	</div>
        </div>
          <script>
  var isSubmitting = false
$(document).ready(function () {
    $('#data_form').submit(function(){
        isSubmitting = true
    })
    $('#data_form').data('initial-state', $('#data_form').serialize());
    $(window).on('beforeunload', function() {
        if (!isSubmitting && $('#data_form').serialize() != $('#data_form').data('initial-state')){
            return 'You have unsaved changes which will not be saved.'
        }
    });
})
</script>
 <script>
 
  $(document).ready(function(){
    $(window).keydown(function(event){
    if(event.keyCode == 13) {
    
      event.preventDefault();
    }
  });
    $('#dated').datepicker({
      dateFormat: 'yy-mm-dd',
      changeMonth: true,
      changeYear: true
    });
  })
  
  </script>
<script>
$(document).ready(function(){
	$('#add_button').click(function(){
		$('#data_form')[0].reset();
		$('.modal-title').html("<i class='fa fa-plus'></i> Add Account");
		$('#action').val("Add");
		$('#btn_action').val("Add");
	});
	var _dataTable = $('#_dataTable').DataTable({
		"processing": true,
		"serverSide": true,
		"order": [],
		"ajax":{
			url:"accounts_parent_fetch.php",
			type:"POST"
		},
		"columnDefs":[
			{
				"target":[2,3,4],
				"orderable":false
			}
		],
		"language": {
					"info": "_START_-_END_ of _TOTAL_ entries",
					searchPlaceholder: "Search"
				},
				"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
				
				"pageLength": 25
	});
	$(document).on('submit', '#data_form', function(event){
		event.preventDefault();
		$('#action').attr('disabled','disabled');
		var _data = $(this).serialize();
		$.ajax({
			url:"accounts_parent_action.php",
			method:"POST",
			data:_data,
			success:function(data)
			{
				$('#data_form')[0].reset();
				$('#dataModal').modal('hide');
				$('#alert_action').fadeIn().html('<div class="alert alert-success">'+data+'</div>');
				$('#action').attr('disabled', false);
				_dataTable.ajax.reload();
				
			}
		})
	});
	$(document).on('click', '.update', function(){
		var acc_no = $(this).attr("id");
		var btn_action = 'fetch_single';
		$.ajax({
			url:"accounts_parent_action.php",
			method:"POST",
			data:{acc_no:acc_no, btn_action:btn_action},
			dataType:"json",
			success:function(data)
			{
				$('#dataModal').modal('show');
				$('#acc_name').val(data.acc_name);
				$('#acc_type').val(data.acc_type);
				
								
				
				$('#status').val(data.status);
				
				$('.modal-title').html("<i class='fas fa-edit'></i> Edit Account");
				$('#acc_no').val(acc_no);
				$('#action').val('Edit');
				$('#btn_action').val('Edit');
				
			}
		})
	});
	$(document).on('click', '.delete', function(){
		var acc_no = $(this).attr("id");
		var status = $(this).data('status');
		var btn_action = "delete";
		if(confirm("Are you sure you want to change status?"))
		{
			$.ajax({
				url:"accounts_parent_action.php",
				method:"POST",
				data:{acc_no:acc_no, status:status, btn_action:btn_action},
				success:function(data)
				{
					$('#alert_action').fadeIn().html('<div class="alert alert-info">'+data+'</div>');
					_dataTable.ajax.reload();
				}
			})
		}
		else
		{
			return false;
		}
	});
});
	  
</script>
<?php
//include('footer.php');
?>
